#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           klinkstatus
Epoch:          1
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        KlinkStatus is a link checker
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://www.kde.org/applications/development/klinkstatus/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         klinkstatus-16.11.90-enable-handbook-compilation.patch
BuildRequires:  kdepimlibs4-devel
BuildRequires:  tidy-devel
BuildRequires:  ruby-devel
BuildRequires:  pkgconfig(openssl)

Requires:       tidy
Recommends:     %{name}-handbook

%description
KLinkStatus is a link checker. It allows you to search internal and external
links in either your entire web site, a single page or a specified depth.
For performance, links can be checked simultaneously.

Features:

* Support several protocols (allowing fast checking of
  local documents): http, ftp, ssh (fish or sftp) and file.
* Proxy support.
* Allows authentication when checking restricted documents.
* Supports the latest Web standards-- HTML 4.0, HTTP 1.1.
* Server-Side Includes (SSI, aka SHTML) are supported and checked.
* Regular expressions to restrict which URLs are searched.
* Show link results as they are checked.
* Tree like view (that reflects the file structure of the documents) or
  flat view.
* Limit the search depth.
* Fragment identifiers ("#" anchor links that point to a specific
  section in a document) are supported and checked.
* Pause/Resume of checking session.
* History of checked URLs.
* Tabbed checking (allow multiple sessions at the same time).
* Filter checked links (good, broken, malformed and undetermined).
* Configurable number of simultaneous connections (performance tunning).
* Other configurable options like "check external links",
  "check parent folders", "timeout".
* Good integration with Quanta+.

%files
%_kde_bindir/klinkstatus
%_kde_libdir/kde4/klinkstatuspart.so
%_kde_libdir/kde4/automationklinkstatus.so
%_kde_libdir/kde4/krossmoduleklinkstatus.so
%_kde_appsdir/klinkstatus
%_kde_appsdir/klinkstatuspart
%_kde_datadir/config/klinkstatus.knsrc
%_kde_applicationsdir/klinkstatus.desktop
%_kde_iconsdir/hicolor/*/apps/klinkstatus.png
%_kde_services/klinkstatus_part.desktop
%_kde_services/klinkstatus_automation.desktop
%_kde_services/krossmoduleklinkstatus.desktop
%_datadir/dbus-1/interfaces/org.kde.kdewebdev.klinkstatus.SearchManager.xml

#------------------------------------------------------------------------------

%package        handbook
Summary:        KlinkStatus handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description    handbook
This package provides klinkstatus handbook.

%files handbook
%doc README
%doc %_kde_docdir/HTML/en/klinkstatus

#------------------------------------------------------------------------------

%define klinkstatuscommon_major 4
%define libklinkstatuscommon %mklibname klinkstatuscommon %klinkstatuscommon_major

%package -n     %libklinkstatuscommon
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libklinkstatuscommon
Runtime library for %{name}.

%files -n %libklinkstatuscommon
%_kde_libdir/libklinkstatuscommon.so.%{klinkstatuscommon_major}{,.*}

#------------------------------------------------------------------------------

%define klinkstatus_devel %mklibname klinkstatus -d

%package -n     %klinkstatus_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libklinkstatuscommon} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %klinkstatus_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %klinkstatus_devel
%_kde_libdir/libklinkstatuscommon.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kde_bindir/ld.gold
%cmake_kde4

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090084
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076824
- New version 16.12.0

* Thu Dec 15 2016 daviddavid <daviddavid> 1:16.11.90-2.mga6
+ Revision: 1075428
- fix dependencies adding missing epoch

* Thu Dec 15 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075411
- imported package klinkstatus

